Package org.codehaus.plexus.util.dag

# Class CycleDetectedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.codehaus.plexus.util.dag.CycleDetectedException

All Implemented Interfaces:
  `Serializable`

public class CycleDetectedException extends Exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CycleDetectedException(String message, List<String> cycle)`

## Method Summary

Modifier and Type
Method
Description
`String`
`cycleToString()`
`List<String>`
`getCycle()`
`String`
`getMessage()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CycleDetectedException

public CycleDetectedException(String message, List<String> cycle)

## Method Details

### getCycle

public List<String> getCycle()

### cycleToString

public String cycleToString()

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `Throwable`